/**
 * NOTE: This class is auto generated by the swagger code generator program (2.4.19).
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */
package io.swagger.api;

import io.swagger.model.Customer;
import io.swagger.annotations.*;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.Valid;
import javax.validation.constraints.*;
import java.util.List;
@javax.annotation.Generated(value = "io.swagger.codegen.languages.SpringCodegen", date = "2021-03-17T09:36:52.035Z")

@Validated
@Api(value = "customer", description = "the customer API")
@RequestMapping(value = "")
public interface CustomerApi {

    @ApiOperation(value = "get all customers", nickname = "customerGet", notes = "retrieves customers from the api", response = Customer.class, tags={  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "Customer", response = Customer.class) })
    @RequestMapping(value = "/customer",
        method = RequestMethod.GET)
    ResponseEntity<Customer> customerGet();


    @ApiOperation(value = "adds a new customer", nickname = "customerPost", notes = "add", response = Customer.class, tags={  })
    @ApiResponses(value = { 
        @ApiResponse(code = 200, message = "customer", response = Customer.class) })
    @RequestMapping(value = "/customer",
        method = RequestMethod.POST)
    ResponseEntity<Customer> customerPost(@ApiParam(value = "description"  )  @Valid @RequestBody Customer body);

}
